Bug 604182 - Anaconda creates the wrong disklabel for very large devices
Summary: Anaconda creates the wrong disklabel for very large devices
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 6.1
Hardware: x86_64 Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard: anaconda_trace_hash:f190d358acb8b8cd5...
Keywords:
Depends On: 518477
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 14:58 UTC by Marek Mahut
Modified: 2010-06-22 19:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 518477
Environment:
Last Closed: 2010-06-22 19:41:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda traceback (109.05 KB, text/plain)
2010-06-15 14:58 UTC, Marek Mahut
no flags Details

Description Marek Mahut 2010-06-15 14:58:10 UTC
Created attachment 424180 [details]
anaconda traceback

+++ This bug was initially created as a clone of Bug #518477 +++

The following was filed automatically by anaconda:
anaconda 12.16 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/site-packages/parted/disk.py", line 202, in addPartition
    constraint.getPedConstraint())
  File "/usr/lib64/python2.6/site-packages/parted/decorators.py", line 30, in localeC
    ret = fn(*args, **kwds)
  File "<string>", line 2, in addPartition
  File "/tmp/updates/storage/partitioning.py", line 841, in allocatePartitions
    constraint=constraint)
  File "/tmp/updates/storage/partitioning.py", line 1013, in growPartitions
    allocatePartitions(disks, partitions)
  File "/tmp/updates/storage/partitioning.py", line 591, in doPartitioning
    growPartitions(disks, partitions)
  File "/tmp/updates/storage/partitioning.py", line 195, in doAutoPartition
    exclusiveDisks=anaconda.id.storage.clearPartDisks)
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1201, in nextClicked
    self.anaconda.dispatch.gotoNext()
PartitionException: partition length of 4965225667 sectors exceeds the msdos-partition-table-imposed maximum of 4294967295

--- Additional comment from pjones@redhat.com on 2009-08-20 10:50:18 EDT ---

Created an attachment (id=358112)
Attached traceback automatically from anaconda.

--- Additional comment from jgranado@fedoraproject.org on 2009-08-26 05:10:22 EDT ---

I'm guessing that we need to create a gpt partition in these cases.  Since msdos cannot address drives that are greater than 2T.

--- Additional comment from jstodola@redhat.com on 2009-09-23 08:12:08 EDT ---

Created an attachment (id=362286)
Attached traceback automatically from anaconda.

Comment 2 RHEL Product and Program Management 2010-06-15 15:13:12 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 David Cantrell 2010-06-16 20:12:15 UTC
Please try installation again using a current nightly tree, latest snapshot, or something else not as old as beta 1.

Comment 4 David Cantrell 2010-06-22 19:41:41 UTC
If the problem still happens using a current snapshot or the latest beta release, please reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.